import java.io.*;
import java.net.Socket;
import java.util.Scanner;

public class ClientHandler implements Runnable{
    public Socket socket;
    public PrintWriter dataOutputStream;
    public Scanner dataInputStream;
    public Server myServer;

    public ClientHandler(Socket client, Server myServer) throws Exception {
        System.out.println("building client handler!");
        if (client == null)
            throw new Exception("client can't be null");
        this.socket = client;
        this.myServer = myServer;
        dataOutputStream = new PrintWriter(client.getOutputStream(), true);
        dataInputStream = new Scanner(client.getInputStream());
        //run();
    }

    private void handleIncomingMessages(String message){
        System.out.println(message);
        for(ClientHandler clientHandler : myServer.clients){
            clientHandler.dataOutputStream.println(message);
        }
    }

    @Override
    public void run() {
        System.out.println("wating");
        while(true){
            try {
                String input = dataInputStream.nextLine();
                if(input == ":wq")
                    break;
                handleIncomingMessages(input);
                //System.exit(0);
            } catch (Exception e) {
                //return;
                e.printStackTrace();
            }
        }
    }
}