import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;

public class Server {
    private static final int PORT = 4321;
    private ServerSocket serverSocket;

    ArrayList<ClientHandler> clients;

    public Server() throws IOException {
        clients = new ArrayList<>();
        serverSocket = new ServerSocket(PORT);
        while (true) {
            Socket client = serverSocket.accept();
            try {
                ClientHandler cur = new ClientHandler(client, this);
                clients.add(cur);
                Thread thread = new Thread(cur);
                thread.start();
                System.out.println(thread.getState());
            } catch (Exception e){
                e.printStackTrace();
            }
        }
    }

    public static void main(String args[]){
        try {
            System.out.println("start to");

            Server server = new Server();
        } catch (Exception e){
            System.out.println("couldn't");
            //
        }

    }
}