import java.io.*;
import java.net.InetAddress;
import java.net.Socket;
import java.util.Scanner;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

public class NetWork implements Runnable{

    private ChatGUI myGUI;

    private Socket socket;
    private PrintWriter dataOutputStream;
    private Scanner dataInputStream;

    public NetWork(ChatGUI myGUI) {
        this.myGUI = myGUI;
        try {
            socket = new Socket("127.0.0.1", 4321);
            dataOutputStream = new PrintWriter(socket.getOutputStream(), true);
            dataInputStream = new Scanner(socket.getInputStream());
        } catch (Exception e) {
            //
        }
    }

    public void close(){
        try {
            socket.close();
        } catch (Exception e){
            //
        }
    }

    public void send(String s) {
        try {
            dataOutputStream.println(s);
            System.out.println(s + "sent!!!");
        } catch (Exception e) {
            //
        }
    }

    public void run(){
        while(true){
            try {
                String input = dataInputStream.nextLine();
                myGUI.chatArea.addText("other", input);
                //System.exit(0);
            } catch (Exception e) {
                //return;
                e.printStackTrace();
            }
        }
    }

    /*public static void main(String args[]) {
        NetWork netWork = new NetWork();
        Gson gson = new Gson();
        netWork.send(gson.fromJson("\"message\"", String.class));
        netWork.send(gson.fromJson("\":wq\"", String.class));
        //while(true);
        netWork.close();
    }*/

}
