import javax.swing.*;
import java.awt.*;

public class ChatGUI extends JFrame {

    private EnterActionListener enterActionListener = null;
    public NetWork netWork;

    public OnlineList onlineList = new OnlineList();
    public ChatArea chatArea = new ChatArea();
    public TypeArea typeArea = new TypeArea(this);
    public String me;

    public void addEnterActionListener(EnterActionListener enterActionListener){
        this.enterActionListener = enterActionListener;
    }

    public void loggedin(String s){
        onlineList.addPerson(s);
        me = s;
    }


    public ChatGUI(){
        super();
        setLayout(new BorderLayout());
        add(onlineList, BorderLayout.WEST);
        add(chatArea, BorderLayout.CENTER);
        add(typeArea, BorderLayout.SOUTH);
        setSize(500, 500);
        netWork = new NetWork(this);
        Thread thread = new Thread(netWork);
        thread.start();
    }
}
