import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class TypeArea extends JPanel{
    private JTextField message;
    private JButton send;
    private ChatGUI chatGUI;

    public TypeArea(ChatGUI chatGUI){
        super();
        this.chatGUI = chatGUI;
        this.setLayout(new GridLayout(1, 2));
        message = new JTextField("type your message here");
        send = new JButton("send!");

        add(message);
        add(send);
        send.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {

                chatGUI.netWork.send(message.getText());
            }
        });
    }

    /*public static void main(String[] args) {
        JFrame frame = new JFrame();
        TypeArea typeArea = new TypeArea(this);
        frame.add(typeArea);
        frame.setSize(500, 500);
        frame.setVisible(true);
    }*/
}
